/*
 * CONTRAT DE LICENCE DE LOGICIEL LIBRE CeCILL-B
 * https://cecill.info/licences/Licence_CeCILL-B_V1-fr.html
 */
package fr.unistra.sil.erp.back.controller;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.springframework.http.ResponseEntity;

/**
 * Interface for designing stocks access.
 * @author BEAUVAIS ANTOINE
 */
public interface IRetrieveStocks {
    
    /**
     * Returns the list of stocks to the user.
     * @param request the HTTP Servlet request, provided by Spring.
     * @param response the HTTP Servlet response, provided by Spring.
     * @return the response to the user.
     * @throws Exception if the query fails.
     */
    public ResponseEntity<Object> retrieveStocks(HttpServletRequest request,
            HttpServletResponse response) throws Exception;
    
}
